# picoti


<a style="max-height: 300px;display: inline-block;" href="./picote/raw/branch/alt-mode/picote-outside.jpg"><img src="./picote-outside.jpg"/><a/>

Utiliser un [raspberry pi pico](https://www.raspberrypi.com/products/raspberry-pi-pico/) et des bouttons d'arcade pour simuler des touches de clavier.

Ce projet est le compagnon de [Stopi2](/arthus/stopi2).  

## Installation

1. Installer [Circuit Python 9.x](https://circuitpython.org/board/raspberry_pi_pico/) sur le Rpi Pico
2. Copier le fichier 'code.py' et le répertoire 'lib' à la base du pico.

## Matériel nécessaire

 * 7 bouttons poussoirs
 * 1 switch ON/OFF avec une LED intégrée ou en supplément.
 * 1 résistance 330Ω  


![Schématique](./picote.png)

## Touches par défaut

**'Alt' correspond à un bouton enfoncé alors que le switch ON/OFF est actif.**  

| Boutton | Clavier |
| --- | --- |
| 🟢 | touche Espace | 
| 🔴 | touche Suppr | 
| 🔵 | touche flèche droite | 
| 🟡 | touche flèche gauche | 
| ⚫ | touche O  | 
| Alt + ⚫ | touche R | 
| Alt + 🟢 | touches Entrée | 
| Alt + 🔴 | touche E | 
| fn① | touche W | 
| Alt + fn① | touche X | 
| fn② | touche L | 
| Alt + fn② | touche F | 
